Holger's Java API

## com.antelmann.util
Interface VerboseFilter<T>

All Superinterfaces:
  Filter<T>

All Known Implementing Classes:
  VerboseFilter.Adapter

    public interface VerboseFilter<T>

extends Filter<T>

a special filter that will provide a message if this instance doesn't accept an element.

Since:
  06.01.2011, 13:06:53
Author:
  Holger Antelmann

Nested Class Summary
`static class` `VerboseFilter.Adapter<T>`

Field Summary

Fields inherited from interface com.antelmann.util.Filter
`EXCLUDE_ALL_FILTER, INCLUDE_ALL_FILTER`

Method Summary
`String` `getRejectionMessage(T entry)` provides a message telling the caller why a given element is not accepted by this filter

Methods inherited from interface com.antelmann.util.Filter
`accept`

Method Detail

### getRejectionMessage

    String getRejectionMessage(T entry)

  provides a message telling the caller why a given element is not accepted by this filter

  Parameters:
    `entry` - the element that is to be filtered; the entry may be null (in which case a generic rejection message is provided
  Returns:
    null if the element is accepted by this filter or an appropriate message telling why the given element is not accepted

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads